GlueGen: com.jogamp.common.util.TestBitfield00 Class Reference

GlueGen v2.6.0-rc-20250721 GlueGen, Native Binding Generator for Java™ (public API).

Classes | Public Member Functions | Static Public Member Functions | List of all members
com.jogamp.common.util.TestBitfield00 Class Reference

Test basic bitfield operations for `Bitfield`. More...

Inheritance diagram for com.jogamp.common.util.TestBitfield00:
Collaboration diagram for com.jogamp.common.util.TestBitfield00:

## Classes

class | TestDataBF

## Public Member Functions

void | test01_BitCount32_One ()
void | test02_BitCount32_Samples ()
void | test03_BitCount32_Data ()
void | test10_Setup ()
void | test20_ValidateTestData ()
void | test21_Aligned32bit ()
void | test21_Unaligned ()
Public Member Functions inherited from com.jogamp.junit.util.JunitTracer
final String | getTestMethodName ()
final String | getSimpleTestName (final String separator)
final String | getFullTestName (final String separator)
final void | setUpBase ()
final void | tearDownBase ()

## Static Public Member Functions

static void | main (final String args[]) throws IOException
Static Public Member Functions inherited from com.jogamp.junit.util.SingletonJunitCase
static final void | enableSingletonLock (final boolean v)
| Default is `true`. More...
static final void | oneTimeSetUpSingleton ()
static final void | oneTimeTearDownSingleton ()
Static Public Member Functions inherited from com.jogamp.junit.util.JunitTracer
static final boolean | isTestSupported ()
static final void | setTestSupported (final boolean v)
static final void | oneTimeSetUpBase ()
static final void | oneTimeTearDownBase ()
static void | waitForKey (final String preMessage)

## Additional Inherited Members

Public Attributes inherited from com.jogamp.junit.util.JunitTracer
final TestName | _unitTestName = new TestName()
Static Public Attributes inherited from com.jogamp.junit.util.SingletonJunitCase
static final String | SINGLE_INSTANCE_LOCK_FILE = "SingletonTestCase.lock"
static final int | SINGLE_INSTANCE_LOCK_PORT = 59999
static final long | SINGLE_INSTANCE_LOCK_TO = 15*60*1000
static final long | SINGLE_INSTANCE_LOCK_POLL = 500

## Detailed Description

Test basic bitfield operations for `Bitfield`.

Definition at line 45 of file TestBitfield00.java.

## Member Function Documentation

## ◆ main()

static void com.jogamp.common.util.TestBitfield00.main | ( | final String | args[] | ) | throws IOException

static

Definition at line 426 of file TestBitfield00.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ test01_BitCount32_One()

void com.jogamp.common.util.TestBitfield00.test01_BitCount32_One | ( |  | ) |

Definition at line 48 of file TestBitfield00.java.

Here is the call graph for this function:

## ◆ test02_BitCount32_Samples()

void com.jogamp.common.util.TestBitfield00.test02_BitCount32_Samples | ( |  | ) |

Definition at line 71 of file TestBitfield00.java.

## ◆ test03_BitCount32_Data()

void com.jogamp.common.util.TestBitfield00.test03_BitCount32_Data | ( |  | ) |

Definition at line 119 of file TestBitfield00.java.

## ◆ test10_Setup()

void com.jogamp.common.util.TestBitfield00.test10_Setup | ( |  | ) |

Definition at line 134 of file TestBitfield00.java.

Here is the call graph for this function:

## ◆ test20_ValidateTestData()

void com.jogamp.common.util.TestBitfield00.test20_ValidateTestData | ( |  | ) |

Definition at line 204 of file TestBitfield00.java.

## ◆ test21_Aligned32bit()

void com.jogamp.common.util.TestBitfield00.test21_Aligned32bit | ( |  | ) |

Definition at line 239 of file TestBitfield00.java.

## ◆ test21_Unaligned()

void com.jogamp.common.util.TestBitfield00.test21_Unaligned | ( |  | ) |

Definition at line 283 of file TestBitfield00.java.

The documentation for this class was generated from the following file:

- src/junit/com/jogamp/common/util/TestBitfield00.java